<h1 class="title">Установка и настройка АТС-коннектора «Простые звонки – Asterisk»</h1>

<h2>1. Системные требования</h2>
<hr>

<p>АТС-коннектор устанавливается на сервер Asterisk.</p>

<p>Для установки и работы АТС-коннектора вам потребуется:</p>
<ul>
	<li>Сервер с операционной системой Linux (CentOS, Fedora, Ubuntu) с ядром 2.6</li>
	<li>IP АТС Asterisk 1.8.x / 11.x / 13.x / 16.x (начиная с версии 16.3)</li>
</ul>

<p class="attention">шаблон templates\vsplivaushaya_kartochka_asterisk.html</p>

<h2>2. Проверьте перед установкой</h2>
<hr>

<p>Перед установкой и настройкой АТС-коннектора, пожалуйста, проверьте:</p>
<ul>
	<li>Компьютер, на который вы устанавливаете АТС-коннектор, удовлетворяет системным требованиям</li>
	<li>У вас есть доступ к компьютеру с правами администратора</li>
	<li>У вас есть установочный архив АТС-коннектора для вашей версии Asterisk</li>
</ul>

<h2>3. Установка АТС-коннектора</h2>
<hr>

<p>3.1. Для установки АТС-коннектора выполните следующие действия: <br>
в консоли на сервере Asterisk выполните команду (вы можете ее просто скопировать в консоль SSH):</p>

<p>Для Asterisk1.8 <br>
<pre>cd /tmp/; wget http://prostiezvonki.ru/installs/prostiezvonki_asterisk1.8.zip; unzip prostiezvonki_asterisk1.8.zip</pre></p>

<p>Для Asterisk11 <br>
<pre>cd /tmp/; wget http://prostiezvonki.ru/installs/prostiezvonki_asterisk11.zip; unzip prostiezvonki_asterisk11.zip</pre></p>

<p>Для Asterisk13 <br>
<pre>cd /tmp/; wget http://prostiezvonki.ru/installs/prostiezvonki_asterisk13.zip; unzip prostiezvonki_asterisk13.zip</pre></p>

<p>Для Asterisk16 <br>
<pre>cd /tmp/; wget http://prostiezvonki.ru/installs/prostiezvonki_asterisk16.zip; unzip prostiezvonki_asterisk16.zip</pre></p>

<p>3.2. Дождитесь окончания скачивания модуля и после этого выполните команду: <br>
<pre>/tmp/prostiezvonki/install</pre></p>

<p>3.3. При выполнении скрипта вам будет предложено задать основные настройки:</p>

<p>3.3.1. <br>
<pre>Set license:</pre><br>
Задайте лицензионный ключ. Вы можете изменить значение параметра <strong>contract</strong> в файле настроек АТСконнектора после установки.</p>

<p class="attention">шаблон templates\support.html</p>

<p class="attention">шаблон templates\license_key.html</p>

<p>3.3.2. <br>
<i>Set password:</i> <br>
Пароль - необходим для защиты от подключения сторонних клиентов к АТС-коннектору (по умолчанию
остается пустым – не задан). Вы можете изменить значение параметра <strong>password</strong> в файле настроек АТСконнектора после установки.</p>

<p>3.3.3.
<i>Set port (default port 10150):</i> <br>
Порт для подключения модулей CRM систем (по умолчанию - 10150). Вы можете изменить значение
параметра <strong>port</strong> в файле настроек АТС-коннектора после установки.</p>

<p>3.3.4.
<i>Set internal number length (default is 3)</i> <br>
Номера с количеством цифр меньше или равным значению, указанному в данном параметре, будут
считаться внутренними номерами абонентов АТС (по умолчанию 3). АТС-коннектор игнорирует звонки
между внутренними абонентами АТС. Вы можете изменить значение параметра <strong>internal_num_len</strong> в
файле настроек АТС-коннектора после установки.</p>

<p class="attention">шаблон templates\internal_calls.html</p>

<p>3.3.5. <br>
<i>Set type of channel, Options (default value SIP):</i> <br>
Тип канала – задайте тип канала, который используется на АТС. По умолчанию используется SIP.
Поменять значение можно в файле настроек АТС-коннектора в параметре <strong>channel_type.</strong></p>

<p>3.3.6. <br>
<i>Use SSL (true/false, default value false):</i> <br>
Использование SSL сертификата, необходимо для интеграции с WEB CRM (amoCRM, Мегаплан и т.п.; по
умолчанию выключено, подробнее в разделе 6 данной инструкции). Вы можете изменить значение
параметра <strong>use_ssl</strong> в файле настроек АТС-коннектора после установки.</p>

<p>3.3.7. <br>
Hostname for SSL (default value name this host hostname): <br>
Укажите hostname сервера, для которого будет сгенерирован самоподписанный сертификат. Необходим
для работы WEB CRM работающих по HTTPS. По умолчанию указывается hostname сервера, где
запускается установка. Сертификат необходимо установить согласно инструкции в пункте 6.</p>

<p>3.3.8. <br>
Port of the server Statistics: <br>
Порт для подключения к WEB-интерфейсу модуля <strong>«Статистика»</strong> (по умолчанию 8090). Вы можете
изменить значение параметра <strong>server_address</strong> в файле настроек <strong>statistics.ini</strong> модуля после установки.</p>

<p>3.3.9. <br>
<i>Address of BPX-connector (wss - with SSL, ws - without SSL, default ws://127.0.0.1:10150):</i> <br>
Адрес для подключения модуля статистики к АТС-коннектору. Изменить параметр подключения
<strong>pz_address</strong> можно в файле настроек модуля статистики <strong>statistics.ini</strong>.</p>

<h2>4. Настройка Asterisk</h2>
<hr>

<p>Откройте файл <strong>sip.conf</strong> в текстовом редакторе. Для всех внутренних абонентов в параметре <strong>callerid</strong>
задайте внутренний номер в треугольных скобках, пример: callerid="Ivan Fedorov" <strong><123></strong></p>

<p class="attention">Внимание! На протяжении всей обработки звонка необходимо сохранять корректные значения полей
источника и назначения звонка, т.е. нельзя изменять добавочные в процессе обработки звонка –
например, на название\номер линии)</p>

<h2>5. Настройка АТС-коннектора</h2>
<hr>

<p>Для дополнительной настройки АТС-коннектора вы можете открыть файл cel_prostiezvonki.conf в
текстовом редакторе, файл расположен в папке /etc/asterisk/.</p>

<p><strong>Общая настройка АТС-коннектора</strong></p>

<p>1. При необходимости, измените имя лог файла в параметре <strong>log_file</strong>.</p>

<p>2. При необходимости, измените уровень записи лога в параметре <strong>log_level</strong>.</p>

<p>3. Если соединение между АТС-коннектором Asterisk и модулем CRM (базы клиентов) прерывается, то
история звонков накапливается в специальной очереди. При подключении модуля CRM история звонков
автоматически загружается из этой очереди.</p>

<p>Для сохранения истории звонков за 1 день (при отсутствии подключения модуля CRM!) установите
значение параметра <strong>queue_max_length</strong> таким образом, чтобы оно было в 2 раза больше среднего
числа звонков за день.</p>

<p><strong>Настройка вызовов</strong></p>

<p>1. Если вам нужно добавлять префикс к номерам телефонов при входящих звонках, вы можете задать
его в параметре <strong>add_prefix</strong>.</p>

<p>2. Если вам нужно добавлять префикс к номерам телефонов при исходящих звонках (при использовании
функции «Звонок по клику»), вы можете задать его в параметре <strong>out_prefix</strong>.</p>

<p>3. Если вы используете не <strong>SIP</strong> телефоны, а телефоны, которые общаются по другому протоколу
(например <strong>IAX</strong>), то измените тип канала в параметре <strong>channel_type</strong> на соответствующий.</p>

<p><strong>Настройка записи телефонных разговоров</strong></p>

<p>1. Задайте путь к директории, в которой будут храниться аудио записи разговоров в параметре
<strong>record_internal_path</strong>.</p>

<p>2. Задайте путь к директории с аудио записями, которая будет доступна для CRM систем (баз клиентов)
<strong>record_external_path</strong>. Например, это может быть сетевая папка, доступная для Windows компьютеров
(\\asterisk\records\), или URL веб-сервера (<a target="_blank" href="http://asterisk/records">http://asterisk/records</a>).</p>

<p class="attention">Пример: сервер АТС виден по сети по имени <strong>pbxasterisk</strong>, вы настроили на нем web-сервер так, чтобы,
набрав в адресной строке браузера адрес вида <a target="_blank" href="http://pbxasterisk/">http://pbxasterisk</a> у вас открывалась страница, на которой
вы видите список файлов/папок с аудиозаписями звонков. Указав в параметре Внешней директории
значение <a target="_blank" href="http://pbxasterisk/">http://pbxasterisk</a>, вы сможете получить в CRM ссылку на запись разговора вида
<a target="_blank" href="http://pbxasterisk/filename">http://pbxasterisk/filename</a> где <strong>filename</strong> - имя файла с аудиозаписью звонка.</p>

<p>3. Задайте формат записи аудио файлов (WAV или MP3) в параметре <strong>audio_format</strong>.</p>

<p>4. Для записи MP3 файлов в системе должен быть установлен Lame кодек. Путь к кодеку должен быть
задан в параметре <strong>lame_codec_path</strong>.</p>

<p><strong>Настройка умной переадресации</strong></p>

<p>Умная переадресация – перехват клиентских звонков и их автоматическое перенаправление на
телефоны ответственных сотрудников. Для включения переадресации выполните следующие действия:</p>

<p>1. Установите значение параметра <strong>smart_transfer</strong> в состояние on.</p>

<p>2. Установите таймаут (в секундах) для поиска номера ответственного сотрудника в параметре
<strong>transfer_time</strong>. Если АТС-коннектор Asterisk не получит от модуля CRM (базы клиентов) номер
ответственного сотрудника за данный промежуток времени, то дальнейшая обработка вызова перейдет к
АТС Asterisk.</p>

<p>3. Установите таймаут (в секундах) для ответа сотрудника на переадресованный звонок в параметре
<strong>answer_time</strong>. Если сотрудник не ответит за данный промежуток времени, то дальнейшая обработка
вызова перейдет к АТС Asterisk.</p>

<p>4. В файле /etc/asterisk/extensions.conf, а именно в плане набора, куда попадают все входящие вызовы,
задайте первым по приоритету вызов макроса <strong>prostie-zvonki</strong>.</p>

<p class="attention">Пример: exten => 8950123456,1,Macro(prostie-zvonki)</p>

<h2>6. Настройка защищенного SSL соединения</h2>
<hr>

<p>Если вы не сгенерировали SSL cсертификат в момент установки АТС-коннектора и е сли вы собираетесь
подключать к АТС-коннектору веб-приложение, работа с которым ведется в интернет-браузере по
защищенному протоколу HTTPS и без использования расширения «Простые звонки» для браузера Google
Chrome (например, дополнительная настройка требуется для amoCRM, Мегаплан, U-ON Travel, и не
требуется для МойСклад, облачной версии Битрикс24, YClients), <strong>обязательно выполните настройки,
описанные в руководстве :</strong></p>

<a target="_blank" href="Nastroyka_SSL.html">«Настройка параметров безопасности для работы с АТС-коннекторами, находящимися внутри локальной
сети»</a>
<p class="attention">Внимание!<br>
Если в конфигурационном файле АТС-коннектора параметр use_ssl установлен в true, то при настройке
адреса АТС-коннектора в модуле CRM нужно использовать префикс wss:// и хостнейм сервера (IP адрес
работать не будет!), например: wss://atsoffice:10150 <br>
Если в конфигурационном файле АТС-коннектора параметр use_ssl установлен в false, то при настройке
адреса АТС-коннектора в модуле CRM нужно использовать префикс ws:// хостнейм сервера илиIP
адрес, например: ws://atsoffice:10150 или ws://ip адрес сервера:10150</p>

<h2>7. Завершение установки</h2>
<hr>

<p>Для завершения установки перезагрузите Asterisk, или в консоли управления Asterisk выполните
следующие команды: <br>
<i>CLI> dialplan reload</i> <br>
<i>CLI> sip reload</i> <br>
<i>CLI> module load cel_prostiezvonki.so</i></p>


<p>Проверьте, загрузился ли АТС-коннектор командой:<br>
<i>CLI> module show like cel_prostiezvonki.so</i></p>

<p>Если в списке появился модуль cel_prostiezvonki.so, то установка прошла успешно. Если модуль в списке
не появился, обратитесь к пункту «3.1. Asterisk не загружает модуль. Модуль не появляется в списке
загруженных модулей» <a target="_blank" href="Ustanovka_nastroyka_Asterisk_Voprosy.html">руководства по решению вопросов для АТС-коннектора Asterisk</a>.</p>

<h3>7.1. Подключение CRM системы к АТС-коннектору</h3>

<p>7.1.1. В окне настроек модуля «Простые звонки» вашей CRM системы задайте: <br>
	<ul>
		<li>Адрес сервера, на котором установлен АТС-коннектор.</li>
		<li>Адрес сервера состоит из префикса, хостнейма и порта. Например: <i>ws://atsoffice:10150</i></li>
	</ul>
 </p>

 <p>Префикс <br>
 	<ul>
 		<li>Если в настройках АТС-коннектора параметр <strong>use_ssl</strong> установлен в <i>false</i>, используйте префикс <strong>ws://</strong>,
например: <i>ws://atsoffice:10150</i></li>
 		<li>Если в настройках АТС-коннектора параметр <strong>use_ssl</strong> установлен в <i>true</i>, используйте префикс <strong>wss://</strong>,
например: <i>wss://atsoffice:10150</i></li>
 	</ul>
 </p>

<p><u>Хостнейм</u><br>
После префикса укажите локальный («внутрисетевой») хостнейм сервера (вы можете указать IP адрес
сервера только если в настройках АТС-коннектора параметр <strong>use_ssl</strong> установлен в false). Компьютеры
пользователей CRM системы должны «видеть» сервер по сети. </p>

<p>Указывайте локальный («внутрисетевой») хостнейм сервера, даже если вы собираетесь использовать
«облачную» CRM систему (например amoCRM, Битрикс24, Мегаплан и т.п.). Пользователи «облачной»
CRM системы устанавливают TCP соединение с АТС-коннектором из браузера, запущенного на своем
компьютере.</p>

<p><u>Порт</u><br>
После названия или IP адреса сервера через символ «двоеточие» укажите порт, на котором АТСконнектор принимает входящие подключения. Порт задается параметром <strong>port</strong> в конфигурационном
файле АТС-коннектора. Значение по умолчанию: <i>10150</i>.
</p>

<p>7.1.2. Пароль для работы с АТС-коннектором, если был задан параметром <strong>password</strong> в
конфигурационном файле АТС-коннектора (или в окне настроек). Если значение параметра <strong>password</strong> не
задано, оставьте поле «Пароль» пустым (укажите 0, если поле «Пароль» является обязательным в окне
настроек модуля «Простые звонки» вашей CRM системы).</p>

<p>7.1.3. Проверить текущее состояние АТС-коннектора, посмотреть подключенных к нему CRM
пользователей и скачать лог файлы можно в <a target="_blank" href="Ustanovka_nastroyka_Statistika.html">веб-интерфейсе модуля «Статистика звонков»</a>.</p>

<p>7.1.4. Если в процессе установки у вас возникли вопросы, воспользуйтесь <a target="_blank" href="Ustanovka_nastroyka_Asterisk_Voprosy.html">руководством по решению
вопросов для АТС-коннектора Asterisk</a>.</p>


 

